Closed Bug 514321 Opened 10 years ago Closed 10 years ago

test_plugin_clipping*.xhtml fails randomly on Linux

Categories

(Core :: Layout, defect)

x86
Linux
defect
Not set

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: dholbert, Unassigned)

References

()

Details

(Keywords: intermittent-failure)

test_plugin_clipping.xhtml just experienced a sporadic failure on a Linux mozilla-central unittest box.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1251926815.1251935132.23792.gz
Linux mozilla-central unit test on 2009/09/02 14:26:55

Here's the log of the test:
> 46774 INFO Running /tests/layout/generic/test/test_plugin_clipping.xhtml...
> 46775 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p1 plugin X
> 46776 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p1 plugin Y
> 46777 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p1 plugin width
> 46778 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p1 plugin height
> 46779 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping.xhtml | Matching regions for 'p1': expected {0,0,200,200}, got
> 46780 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p2 plugin X
> 46781 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p2 plugin Y
> 46782 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p2 plugin width
> 46783 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p2 plugin height
> 46784 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | Matching regions for 'p2': expected {100,100,200,200}, got {100,100,200,200}
> 46785 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p3 plugin X
> 46786 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p3 plugin Y
> 46787 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p3 plugin width
> 46788 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p3 plugin height
> 46789 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | Matching regions for 'p3': expected {100,100,200,200}, got {100,100,200,200}
> 46790 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p4 plugin X
> 46791 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p4 plugin Y
> 46792 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p4 plugin width
> 46793 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p4 plugin height
> 46794 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping.xhtml | Matching regions for 'p4': expected {100,100,200,200}, got {100,100,200,166}
> 46795 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p5 plugin X
> 46796 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p5 plugin Y
> 46797 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p5 plugin width
> 46798 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping.xhtml | p5 plugin height
> 46799 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping.xhtml | Matching regions for 'p5': expected {100,100,200,200}, got

(Yes, those are indeed empty strings after "got" in the first and third failure.)

I initially posted about this in bug 487750 comment 19 -- that's an old bug about this same test.  However, I'm filing this separately because (a) that bug is "fixed", and (b) that bug was Mac-only.
Blocks: 438871
Whiteboard: [orange]
Linux mozilla-central unit test on 2009/09/07 12:51:13
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1252353073.1252359698.4035.gz

Also test_plugin_clipping2.xhtml and test_plugin_clipping_table.xhtml, adding to this bug since they're probably related:

46814 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,50}, {0,50,50,150}, {150,50,200,150}, {0,150,200,200}, got {0,0,200,50}, {0,50,50,66}, {150,50,200,66}
46819 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,50}, {0,50,50,200}, {150,50,200,200}, got {0,0,200,50}, {0,50,50,66}, {150,50,200,66}
46824 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,100}, {0,100,50,200}, {150,100,200,200}, got {0,0,200,66}
46829 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,200}, got {0,0,200,66}
46834 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p1': expected {0,0,200,200}, got {0,0,200,166}
46839 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,100,200,200}, got
46840 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,50}, {0,50,50,150}, {150,50,200,150}, {0,150,200,200}, got {0,0,200,50}, {0,50,50,66}, {150,50,200,66}
46847 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping_table.xhtml | Matching regions for 'p1': expected {0,0,300,100}, got {0,0,200,100}
46852 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping_table.xhtml | Matching regions for 'p2': expected {0,0,300,100}, got

(Yes, those are indeed empty strings after "got" in the sixth and ninth failure.)
Summary: test_plugin_clipping.xhtml fails randomly on Linux → test_plugin_clipping*.xhtml fails randomly on Linux
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264673402.1264674312.31651.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/28 02:10:02
s: moz2-linux-slave01
1818 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Error calling method on NPObject! at undefined:undefined

(Note that this failure looks a little different from the ones posted so far -- I wonder if the difference was due to OOP plugins being default-enabled today...  Perhaps that changes how this bug manifests?)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264802878.1264804643.12926.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/29 14:07:58
s: moz2-linux-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265061021.1265062090.18880.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/02/01 13:50:21
s: moz2-linux-slave21
Comments 2 to 4 are really bug 540910.
Resolving this bug WFM as the original failure hasn't been reported for a while and other changes to these tests may have resolved that issue.
perhaps http://hg.mozilla.org/mozilla-central/diff/4a603215351c/layout/generic/test/plugin_clipping_lib.js
Status: NEW → RESOLVED
Closed: 10 years ago
Resolution: --- → WORKSFORME
(In reply to comment #5)
> Comments 2 to 4 are really bug 540910.

oh thanks -- I missed that bug, because the randomorange-bug-list that I check uses [orange] whiteboard status, which that bug lacked 'til now. (added)
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.